Skip to main content
POST
/
organizations
/
{organization_id}
/
invitations
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "state": "pending",
  "organization_id": "<string>",
  "email": "jsmith@example.com",
  "owner": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "display_name": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "permissions": [
    "admin"
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Body

application/json
email
string<email>
required

The email address of the invitee.

permissions
enum<string>[]
required

The permissions the invitee should be given on the organization.

Available options:
admin,
billing,
plans,
members,
project:create,
projects:list
force
boolean

Whether to cancel any pending invitation for the specified invitee, and create a new invitation.

Response

Created

id
string<uuid>

The ID of the invitation.

state
enum<string>

The invitation state.

Available options:
pending,
processing,
accepted,
cancelled,
error
organization_id
string

The ID of the organization.

email
string<email>

The email address of the invitee.

owner
object

The inviter.

created_at
string<date-time>

The date and time when the invitation was created.

updated_at
string<date-time>

The date and time when the invitation was last updated.

finished_at
string<date-time> | null

The date and time when the invitation was finished.

permissions
enum<string>[]

The permissions the invitee should be given on the organization.

Available options:
admin,
billing,
plans,
members,
project:create,
projects:list